## xcb-imdkit 0~20171205+ds1

=== test/CMakeLists.txt ===
add_executable(test_server test_server.c)
target_link_libraries(test_server XCB::XCB XCB::UTIL XCB::KEYSYMS xcb-imdkit)
add_executable(test_client test_client.c)
target_link_libraries(test_client XCB::XCB XCB::UTIL XCB::KEYSYMS xcb-imdkit)

add_executable(test_encoding test_encoding.c)
target_link_libraries(test_encoding xcb-imdkit)
add_test(NAME test_encoding COMMAND test_encoding)

=== debian/changelog ===
xcb-imdkit (0~20171205+ds1-3) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/watch: Monitor releases on GitLab project.
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 10:53:31 -0500

xcb-imdkit (0~20171205+ds1-2) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/control,copyright: Update Homepage and use GitLab
    upstream project.
  * debian/control: R³: Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Dec 2018 16:21:49 -0500

xcb-imdkit (0~20171205+ds1-1) unstable; urgency=medium

  * Initial upload. (Closes: #877678)

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Sep 2018 15:05:12 -0400

=== debian/control ===
Source: xcb-imdkit
Section: libs
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 extra-cmake-modules,
 libxcb-keysyms1-dev,
 libxcb-util0-dev,
 libxcb1-dev,
 uthash-dev,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/fcitx/xcb-imdkit
Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git
Vcs-Browser: https://salsa.debian.org/input-method-team/xcb-imdkit

Package: libxcb-imdkit-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxcb-imdkit0 (= ${binary:Version}),
 libxcb-keysyms1-dev,
 libxcb-util0-dev,
 libxcb1-dev,
 ${misc:Depends},
Description: XIM protocol implementation in XCB (development files)
 xcb-imdkit is an implementation of XIM protocol in XCB.
 Comparing with the implementation of IMDkit with Xlib and
 xim inside Xlib, it has less memory foot print, better performance
 and safer on malformed client.
 .
 It doesn't have complete protocol support though since some part of
 the protocol is never used.
 .
 This package provides development files of xcb-imdkit.

Package: libxcb-imdkit0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XIM protocol implementation in XCB
 xcb-imdkit is an implementation of XIM protocol in XCB.
 Comparing with the implementation of IMDkit with Xlib and
 xim inside Xlib, it has less memory foot print, better performance
 and safer on malformed client.
 .
 It doesn't have complete protocol support though since some part of
 the protocol is never used.
 .
 This package provides shared library of xcb-imdkit.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,filenamemangle=s/.*\/archive\/(\d\S+)\/xcb-imdkit.*\.tar\.gz/xcb-imdkit-$1\.tar\.gz/g" \
  https://gitlab.com/fcitx/xcb-imdkit/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## xcb-imdkit 0~20190825%2Bds1

=== src/CMakeLists.txt ===

add_library(xcb-imdkit SHARED
parser.c ximproto.c imdkit.c protocolhandler.c message.c common.c imclient.c clientprotocolhandler.c
encoding.c
xlibi18n/lcCT.c
xlibi18n/lcUTF8.c
xlibi18n/lcCharSet.c
)

add_library(XCBImdkit::XCBImdkit ALIAS xcb-imdkit)

target_include_directories(xcb-imdkit
                           PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
                           INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_FULL_INCLUDEDIR}>)

set_target_properties(xcb-imdkit PROPERTIES
                      VERSION 0.1
                      SOVERSION 0
                      COMPILE_FLAGS "-fvisibility=hidden"
                      LINK_FLAGS "-Wl,--no-undefined"
                      EXPORT_NAME XCBImdkit)

target_link_libraries(xcb-imdkit
                      PUBLIC XCB::XCB
                      PRIVATE XCB::UTIL)

configure_file(xcb-imdkit.pc.in ${CMAKE_CURRENT_BINARY_DIR}/xcb-imdkit.pc @ONLY)

install(TARGETS xcb-imdkit EXPORT XCBImdkitLibraryTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/xcb-imdkit.pc
  DESTINATION "${CMAKE_INSTALL_LIBDATADIR}/pkgconfig")
install(FILES imdkit.h ximcommon.h ximproto.h ximproto-gen.h imclient.h encoding.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/xcb-imdkit")

## xcb-imdkit 0~20190825+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(xcb-imdkit)

set(XCB_IMDKIT_VERSION 0.1.0)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(CheckFunctionExists)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(uninstall)

set(CMAKE_C_EXTENSIONS OFF)
set(CMAKE_C_STANDARD_REQUIRED TRUE)
set(CMAKE_C_STANDARD 11)

include(GNUInstallDirs)

# directory needed by bsd
if(NOT CMAKE_INSTALL_LIBDATADIR)
  set(CMAKE_INSTALL_LIBDATADIR "${CMAKE_INSTALL_LIBDIR}" CACHE PATH "libdata root (LIBDIR)")
  set(CMAKE_INSTALL_LIBDATADIR "${CMAKE_INSTALL_LIBDIR}")
  mark_as_advanced(CMAKE_INSTALL_LIBDATADIR)
endif()

set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/XCBImdkit")

add_definitions(-D_GNU_SOURCE)
set(CMAKE_C_FLAGS "-fPIC -Wall -Wextra -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed -Wl,--no-undefined ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

find_package(XCB REQUIRED COMPONENTS XCB UTIL KEYSYMS)

enable_testing()

add_subdirectory(src)
add_subdirectory(test)

install (
   EXPORT XCBImdkitLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE XCBImdkitLibraryTargets.cmake
   NAMESPACE XCBImdkit::
   )

ecm_setup_version (
   ${XCB_IMDKIT_VERSION}
   VARIABLE_PREFIX XCB_IMDKIT
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/xcb-imdkit_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfigVersion.cmake"
   SOVERSION 0
   )

ecm_configure_package_config_file (
   "${CMAKE_CURRENT_SOURCE_DIR}/XCBImdkitConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   PATH_VARS CMAKE_INSTALL_PREFIX
   )

install (
   FILES "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
xcb-imdkit (0~20190825+ds1-2) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Set upstream homepage back to GitHub project again.
  * debian/watch: Monitor GitHub releases again.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Oct 2019 00:18:43 -0400

xcb-imdkit (0~20190825+ds1-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control:
    + Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Sep 2019 12:28:04 -0400

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  libxcb-util0-dev,
  libxcb1-dev,
  uthash-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/fcitx/xcb-imdkit
+Homepage: https://github.com/fcitx/xcb-imdkit
 Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/xcb-imdkit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)"

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xcb-imdkit-$1.tar.gz%" \
 https://github.com/fcitx/xcb-imdkit/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## xcb-imdkit 0~20200606

=== debian/changelog ===
xcb-imdkit (0~20200606-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/copyright: Do not repack upstream tarball.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 09:39:39 -0400

xcb-imdkit (0~20200514+ds1-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Jun 2020 15:51:00 -0400

xcb-imdkit (0~20200402+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 21:57:25 +0800

xcb-imdkit (0~20200318+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Update symbols for new snapshot.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 03:02:27 +0800

xcb-imdkit (0~20200312+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Use git mode in uscan watch file.
  * Add repacksuffix in uscan watch file.
  * Update Standards-Version to 4.5.0 (no changes).
  * Fix upstream url in debian/copyright.
  * Add libxcb-imdkit0 symbols file.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Mar 2020 21:27:03 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)"

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd" \
 https://github.com/fcitx/xcb-imdkit.git \
 HEAD debian uupdate

## xcb-imdkit 0~20200807

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,15 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(uninstall)
+
+find_package(UTHash)
+
+if (NOT TARGET UTHash::UTHash)
+    add_library(UTHash::UTHash INTERFACE IMPORTED )
+    set_target_properties(UTHash::UTHash PROPERTIES
+        INTERFACE_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}/uthash"
+    )
+endif()
 
 set(CMAKE_C_EXTENSIONS OFF)
 set(CMAKE_C_STANDARD_REQUIRED TRUE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,13 +16,13 @@
 set_target_properties(xcb-imdkit PROPERTIES
                       VERSION 0.1
                       SOVERSION 0
-                      COMPILE_FLAGS "-fvisibility=hidden"
+                      C_VISIBILITY_PRESET hidden
                       LINK_FLAGS "-Wl,--no-undefined"
                       EXPORT_NAME XCBImdkit)
 
 target_link_libraries(xcb-imdkit
                       PUBLIC XCB::XCB
-                      PRIVATE XCB::UTIL)
+                      PRIVATE XCB::UTIL UTHash::UTHash)
 
 configure_file(xcb-imdkit.pc.in ${CMAKE_CURRENT_BINARY_DIR}/xcb-imdkit.pc @ONLY)

=== debian/changelog ===
xcb-imdkit (0~20200807-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Fix multi-arch library path to DEB_HOST_MULTIARCH

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Aug 2020 01:28:02 +0800

## xcb-imdkit 0~20201028

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(xcb-imdkit VERSION 0.1.0)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
option(USE_SYSTEM_UTHASH "Enable system utash" On)

include(CheckFunctionExists)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(uninstall)

if (USE_SYSTEM_UTHASH)
find_package(UTHash)
endif()

if (NOT TARGET UTHash::UTHash)
    add_library(UTHash::UTHash INTERFACE IMPORTED )
    set_target_properties(UTHash::UTHash PROPERTIES
        INTERFACE_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}/uthash"
    )
endif()

set(CMAKE_C_EXTENSIONS OFF)
set(CMAKE_C_STANDARD_REQUIRED TRUE)
set(CMAKE_C_STANDARD 11)

include(GNUInstallDirs)

# directory needed by bsd
if(NOT CMAKE_INSTALL_LIBDATADIR)
  set(CMAKE_INSTALL_LIBDATADIR "${CMAKE_INSTALL_LIBDIR}" CACHE PATH "libdata root (LIBDIR)")
  set(CMAKE_INSTALL_LIBDATADIR "${CMAKE_INSTALL_LIBDIR}")
  mark_as_advanced(CMAKE_INSTALL_LIBDATADIR)
endif()

set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/XCBImdkit")

add_definitions(-D_GNU_SOURCE)
set(CMAKE_C_FLAGS "-fPIC -Wall -Wextra -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed -Wl,--no-undefined ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

find_package(XCB REQUIRED COMPONENTS XCB UTIL KEYSYMS)

enable_testing()

add_subdirectory(src)
add_subdirectory(test)

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,20 @@
+ecm_setup_version(
+   PROJECT
+   VARIABLE_PREFIX XCB_IMDKIT
+   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/xcb-imdkit_version.h"
+   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfigVersion.cmake"
+   SOVERSION 0
+   )
+
+configure_package_config_file(
+   "${CMAKE_CURRENT_SOURCE_DIR}/XCBImdkitConfig.cmake.in"
+   "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfig.cmake"
+   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
+   )
+
+set(XCB_IMDKIT_HEADERS
+    imdkit.h ximcommon.h ximproto.h ximproto-gen.h imclient.h encoding.h
+)
 
 add_library(xcb-imdkit SHARED
 parser.c ximproto.c imdkit.c protocolhandler.c message.c common.c imclient.c clientprotocolhandler.c
@@ -14,8 +31,8 @@
                            INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_FULL_INCLUDEDIR}>)
 
 set_target_properties(xcb-imdkit PROPERTIES
-                      VERSION 0.1
-                      SOVERSION 0
+                      VERSION ${XCB_IMDKIT_VERSION}
+                      SOVERSION ${XCB_IMDKIT_SOVERSION}
                       C_VISIBILITY_PRESET hidden
                       LINK_FLAGS "-Wl,--no-undefined"
                       EXPORT_NAME XCBImdkit)
@@ -29,4 +46,19 @@
 install(TARGETS xcb-imdkit EXPORT XCBImdkitLibraryTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/xcb-imdkit.pc
   DESTINATION "${CMAKE_INSTALL_LIBDATADIR}/pkgconfig")
-install(FILES imdkit.h ximcommon.h ximproto.h ximproto-gen.h imclient.h encoding.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/xcb-imdkit")
+install(FILES ${XCB_IMDKIT_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/xcb-imdkit")
+
+
+install (
+   EXPORT XCBImdkitLibraryTargets
+   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+   FILE XCBImdkitLibraryTargets.cmake
+   NAMESPACE XCBImdkit::
+   )
+
+install (
+   FILES "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfig.cmake"
+         "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfigVersion.cmake"
+   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+   COMPONENT Devel
+   )

=== debian/changelog ===
xcb-imdkit (0~20201028-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 02 Nov 2020 17:58:48 -0500

xcb-imdkit (0~20200903-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Sep 2020 20:11:06 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  libxcb-keysyms1-dev,
  libxcb-util0-dev,
  libxcb1-dev,
  uthash-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/xcb-imdkit
 Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd" \
 https://github.com/fcitx/xcb-imdkit \
 HEAD

## xcb-imdkit 1.0.0

=== debian/changelog ===
xcb-imdkit (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Reupload with 1.0.0 version
    This is same as 0~20201028-1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 12:18:26 +0800

## xcb-imdkit 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(xcb-imdkit VERSION 0.1.0)
+project(xcb-imdkit VERSION 1.0.1)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
xcb-imdkit (1.0.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Dec 2020 17:12:19 -0500

xcb-imdkit (1.0.1-1~exp1) experimental; urgency=medium

  * New upstream release 1.0.1.
    + Follow upstream trunk code at 20201207.
  * Bump SONAME to 1.
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Dec 2020 16:05:11 -0500

## xcb-imdkit 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 cmake_minimum_required(VERSION 3.8)
-project(xcb-imdkit VERSION 1.0.1)
+project(xcb-imdkit VERSION 1.0.2)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 option(USE_SYSTEM_UTHASH "Enable system utash" On)
 
+include(GenerateExportHeader)
 include(CheckFunctionExists)
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)

=== debian/changelog ===
xcb-imdkit (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh license information.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Jan 2021 19:10:03 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libxcb-util0-dev,
  libxcb1-dev,
  uthash-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/xcb-imdkit
 Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git
@@ -23,7 +23,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libxcb-imdkit0 (= ${binary:Version}),
+ libxcb-imdkit1 (= ${binary:Version}),
  libxcb-keysyms1-dev,
  libxcb-util0-dev,
  libxcb1-dev,
@@ -39,7 +39,7 @@
  .
  This package provides development files of xcb-imdkit.
 
-Package: libxcb-imdkit0
+Package: libxcb-imdkit1
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/xcb-imdkit \
  refs/tags/@ANY_VERSION@ debian

## xcb-imdkit 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(xcb-imdkit VERSION 1.0.2)
+project(xcb-imdkit VERSION 1.0.3)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
xcb-imdkit (1.0.3-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Thu, 27 Jan 2022 13:42:03 +0800

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  extra-cmake-modules,
  libxcb-keysyms1-dev,
  libxcb-util0-dev,
  libxcb1-dev,
  uthash-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/xcb-imdkit
 Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git

## xcb-imdkit 1.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(xcb-imdkit VERSION 1.0.3)
+project(xcb-imdkit VERSION 1.0.4)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 target_link_libraries(test_server XCB::XCB XCB::UTIL XCB::KEYSYMS xcb-imdkit)
 add_executable(test_client test_client.c)
 target_link_libraries(test_client XCB::XCB XCB::UTIL XCB::KEYSYMS xcb-imdkit)
+add_executable(client_demo client_demo.c)
+target_link_libraries(client_demo XCB::XCB XCB::UTIL XCB::KEYSYMS xcb-imdkit)
 
 add_executable(test_encoding test_encoding.c)
 target_link_libraries(test_encoding xcb-imdkit)

=== debian/changelog ===
xcb-imdkit (1.0.4-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Jan 2023 16:00:03 -0500

xcb-imdkit (1.0.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).

  [ Boyuan Yang ]
  * debian/control: Replace build-dependency of libxcb-util0-dev with
    new libxcb-util-dev (lintian).

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Jan 2023 15:54:14 -0500

xcb-imdkit (1.0.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 04 Jan 2023 11:35:08 +0100

xcb-imdkit (1.0.4-1) unstable; urgency=medium

  * debian/watch: Fix upstream monitoring.
  * New upstream version 1.0.4.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Nov 2022 15:49:45 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  libxcb-keysyms1-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxcb1-dev,
  uthash-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/xcb-imdkit
 Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git
@@ -25,7 +25,7 @@
 Depends:
  libxcb-imdkit1 (= ${binary:Version}),
  libxcb-keysyms1-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxcb1-dev,
  ${misc:Depends},
 Description: XIM protocol implementation in XCB (development files)

## xcb-imdkit 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(xcb-imdkit VERSION 1.0.4)
+project(xcb-imdkit VERSION 1.0.5)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
xcb-imdkit (1.0.5-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 15:10:16 +0100

xcb-imdkit (1.0.5-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 10:58:58 -0400

xcb-imdkit (1.0.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/source/local-options: Dropped, not needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Mar 2023 14:53:50 -0400

## xcb-imdkit 1.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(xcb-imdkit VERSION 1.0.5)
+project(xcb-imdkit VERSION 1.0.6)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
xcb-imdkit (1.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Jan 2024 15:29:15 -0500

## xcb-imdkit 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(xcb-imdkit VERSION 1.0.6)
+project(xcb-imdkit VERSION 1.0.8)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

## xcb-imdkit 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(xcb-imdkit VERSION 1.0.8)
+project(xcb-imdkit VERSION 1.0.9)
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
    VARIABLE_PREFIX XCB_IMDKIT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/xcb-imdkit_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/XCBImdkitConfigVersion.cmake"
-   SOVERSION 0
+   SOVERSION 1
    )
 
 configure_package_config_file(
@@ -13,7 +13,7 @@
    )
 
 set(XCB_IMDKIT_HEADERS
-    imdkit.h ximcommon.h ximproto.h ximproto-gen.h imclient.h encoding.h
+    imdkit.h ximcommon.h ximproto.h ximproto-gen.h imclient.h encoding.h "${CMAKE_CURRENT_BINARY_DIR}/xcbimdkit_export.h"
 )
 
 add_library(xcb-imdkit SHARED
@@ -24,10 +24,13 @@
 xlibi18n/lcCharSet.c
 )
 
+generate_export_header(xcb-imdkit BASE_NAME XCBImdkit)
+
 add_library(XCBImdkit::XCBImdkit ALIAS xcb-imdkit)
 
 target_include_directories(xcb-imdkit
                            PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+                                  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
                            INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_FULL_INCLUDEDIR}>)
 
 set_target_properties(xcb-imdkit PROPERTIES

=== debian/changelog ===
xcb-imdkit (1.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Jun 2024 22:07:59 -0400

xcb-imdkit (1.0.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/libxcb-imdkit1.symbols: Refresh symbols file.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Apr 2024 14:28:21 -0400

xcb-imdkit (1.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 22:54:31 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)"

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/xcb-imdkit/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
